All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
1.c File Reference

Example: minimal code for ADC input. More...

`#include "stdio.h"`
`#include "../c_wrapper/pruio.h"`
Include dependency graph for 1.c:

Go to the source code of this file.

## Functions

int | main (int argc, char **argv)
| The main function. More...

## Detailed Description

Example: minimal code for ADC input.

This file contains an short and simple example for text output of the analog input lines. It's designed for the description pages and shows the basic usage of libpruio with a minimum of source code, translatable between FreeBASIC and C.

Licence: GPLv3

Copyright 2014 by Thomas{ dOt ]Freiherr[ At ]gmx[ DoT }net

Compile by: `gcc -Wall -o 1 1.c -lpruio`

Definition in file 1.c.

## Function Documentation

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

The main function.

create new driver structure

Definition at line 23 of file 1.c.

Here is the call graph for this function: